// Ansteuerung eines HD44780 kompatiblen LCD im 4-Bit-Interfacemodus
// http://www.mikrocontroller.net/articles/AVR-GCC-Tutorial
//
void lcd_data(uint8_t temp1);
uint8_t lcd_read(uint8_t rs, uint8_t controller);
void lcd_string(char *data);
void lcd_command(uint8_t temp1, uint8_t controller);
void lcd_enpulse(uint8_t controller);
void lcd_init(void);
void lcd_home(void);
void lcd_clear(void);
void set_cursor(uint8_t x, uint8_t y);
void lcd_waitbusy(void);

#ifndef F_CPU
#define F_CPU 16000000
#endif

// LCD commands (don't edit if you don't know what you're doing)
#define CLEAR_DISPLAY 0x01
#define CURSOR_HOME   0x02

// Ports
#define LCD_PORT      PORTB
#define LCD_DDR       DDRB

// Steuerleitungen
#define LCD_RS        PB6
#define LCD_RW        PB5
#define LCD_EN1       PB4
#define LCD_EN2       PB7

// Datenleitungen
#define LCD_DB4       PB0
#define LCD_DB5       PB1
#define LCD_DB6       PB2
#define LCD_DB7       PB3
